Security Lab

PHP-инклюдинг и межсайтовый скриптинг m-phorum

Дата публикации:17.03.2006
Всего просмотров:2926
Опасность:
Высокая
Наличие исправления: Нет
Количество уязвимостей:1
CVE ID: CVE-2006-1151
CVE-2006-1152
CVE-2006-3053
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: m-phorum 0.x
Уязвимые версии: m-phorum 0.2

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметре "go" в сценарии "index.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный PHP сценарий на целевой системе с привилегиями Web сервера.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре "go" сценария "index.php". Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта. Пример:

http://victim/path/index.php?go="><script>alert(document.cookie)</script>
http://victim/path/index.php?go="><script>alert(/Codexploder'tq/)</script>
http://victim/path/index.php?go="><script>alert(document.domain)</script>

URL производителя: m-phorum.sourceforge.net

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: M-Phorum Cross Site Scripting